Multivariate Pattern Analysis in Python

# mvpa2.misc.cmdline.Option

class `mvpa2.misc.cmdline.``Option`(*opts, **attrs)
  Instance attributes:

    _short_opts : [string] _long_opts : [string]

    action : string type : string dest : string default : any nargs : int const : any choices : [string] callback : function callback_args : (any*) callback_kwargs : { string : any } help : string metavar : string

  Methods

  `ACTIONS` = ('store', 'store_const', 'store_true', 'store_false', 'append', 'append_const', 'count', 'callback', 'help', 'version')
  `ALWAYS_TYPED_ACTIONS` = ('store', 'append')
  `ATTRS` = ['action', 'type', 'dest', 'default', 'nargs', 'const', 'choices', 'callback', 'callback_args', 'callback_kwargs', 'help', 'metavar']
  `CHECK_METHODS` = [<function _check_action at 0x7f60a5a36398>, <function _check_type at 0x7f60a5a36410>, <function _check_choice at 0x7f60a5a36488>, <function _check_dest at 0x7f60a5a36500>, <function _check_const at 0x7f60a5a36578>, <function _check_nargs at 0x7f60a5a365f0>, <function _check_callback at 0x7f60a5a36668>]
  `CONST_ACTIONS` = ('store_const', 'append_const')
  `STORE_ACTIONS` = ('store', 'store_const', 'store_true', 'store_false', 'append', 'append_const', 'count')
  `TYPED_ACTIONS` = ('store', 'append', 'callback')
  `TYPES` = ('string', 'int', 'long', 'float', 'complex', 'choice')
  `TYPE_CHECKER` = {'int': <function check_builtin at 0x7f60a5a36050>, 'float': <function check_builtin at 0x7f60a5a36050>, 'complex': <function check_builtin at 0x7f60a5a36050>, 'long': <function check_builtin at 0x7f60a5a36050>, 'choice': <function check_choice at 0x7f60a5a360c8>}
  `check_value`(opt, value)
  `convert_value`(opt, value)
  `get_opt_string`()
  `process`(opt, value, values, parser)
  `take_action`(action, dest, opt, value, values, parser)
  `takes_value`()